/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.camel.kafkaconnector.jmsapacheactivemqsink;

import java.util.Map;
import javax.annotation.Generated;
import org.apache.camel.kafkaconnector.CamelSinkConnectorConfig;
import org.apache.kafka.common.config.ConfigDef;

@Generated("This class has been generated by camel-kafka-connector-generator-maven-plugin, remove this annotation to prevent it from being generated.")
public class CamelJmsapacheactivemqsinkSinkConnectorConfig
        extends
            CamelSinkConnectorConfig {

    public static final String CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_DESTINATION_TYPE_CONF = "camel.kamelet.jms-apache-activemq-sink.destinationType";
    public static final String CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_DESTINATION_TYPE_DOC = "The JMS destination type (i.e.: queue or topic)";
    public static final String CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_DESTINATION_TYPE_DEFAULT = "queue";
    public static final String CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_DESTINATION_NAME_CONF = "camel.kamelet.jms-apache-activemq-sink.destinationName";
    public static final String CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_DESTINATION_NAME_DOC = "The JMS destination name Example: person";
    public static final String CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_DESTINATION_NAME_DEFAULT = null;
    public static final String CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_BROKER_URLCONF = "camel.kamelet.jms-apache-activemq-sink.brokerURL";
    public static final String CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_BROKER_URLDOC = "The JMS URL Example: tcp://my-host:61616";
    public static final String CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_BROKER_URLDEFAULT = null;
    public static final String CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_PASSWORD_CONF = "camel.kamelet.jms-apache-activemq-sink.password";
    public static final String CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_PASSWORD_DOC = "Target AMQ Broker password Example: password1!";
    public static final String CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_PASSWORD_DEFAULT = "admin";
    public static final String CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_USERNAME_CONF = "camel.kamelet.jms-apache-activemq-sink.username";
    public static final String CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_USERNAME_DOC = "Target AMQ Broker Username Example: userName";
    public static final String CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_USERNAME_DEFAULT = "admin";

    public CamelJmsapacheactivemqsinkSinkConnectorConfig(
            ConfigDef config,
            Map<String, String> parsedConfig) {
        super(config, parsedConfig);
    }

    public CamelJmsapacheactivemqsinkSinkConnectorConfig(
            Map<String, String> parsedConfig) {
        this(conf(), parsedConfig);
    }

    public static ConfigDef conf() {
        ConfigDef conf = new ConfigDef(CamelSinkConnectorConfig.conf());
        conf.define(CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_DESTINATION_TYPE_CONF, ConfigDef.Type.STRING, CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_DESTINATION_TYPE_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_DESTINATION_TYPE_DOC);
        conf.define(CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_DESTINATION_NAME_CONF, ConfigDef.Type.STRING, CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_DESTINATION_NAME_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_DESTINATION_NAME_DOC);
        conf.define(CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_BROKER_URLCONF, ConfigDef.Type.STRING, CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_BROKER_URLDEFAULT, ConfigDef.Importance.HIGH, CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_BROKER_URLDOC);
        conf.define(CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_PASSWORD_CONF, ConfigDef.Type.PASSWORD, CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_PASSWORD_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_PASSWORD_DOC);
        conf.define(CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_USERNAME_CONF, ConfigDef.Type.STRING, CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_USERNAME_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_JMSAPACHEACTIVEMQSINK_KAMELET_USERNAME_DOC);
        return conf;
    }
}